<?php
if($_SERVER['HTTP_APPVERSION']){
include "./saesiteinfo.php";
}else{
 if(!file_exists("./install/install.lock")){
header('location:./install');
exit;
 }else{
include "./siteinfo.php";
 }
}
function biaoti(){
//开始
if ("/index.php"==$_SERVER['PHP_SELF']){
echo '|首页';
}elseif ("/reg.php"==$_SERVER['PHP_SELF']){
echo '|注册';
}elseif ("/user.php"==$_SERVER['PHP_SELF']){
echo '|用户中心';
}
//结束
}
ob_start();
session_start();
?>
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title><?php echo $sitename;echo biaoti(); echo ' - '.$sitekouhao; ?></title>
<meta name="keywords" content="<?php echo $wangzhi; ?>,挂q,挂q网,免费挂q网,<?php echo $sitename; ?>,挂q软件,挂q器,24小时挂q,免费挂q网站,挂q网站,网页挂q,挂q网源码">
<meta name="description" content="<?php echo $sitename; ?>【<?php echo $wangzhi; ?>】最有潜力的网站。免费网页挂Q网,电脑关机QQ也能在线。">
<link rel="shortcut icon" href="/favicon.ico" type="image/x-icon" />
<link href="css/stylesheets.css" rel="stylesheet" type="text/css" />   
</head>
<body>
<?php
if (empty($_POST['text'])){
echo '
<form action="" method="post">
<div class="body">
            
            <div class="content">
                
                <div class="page-header">
                    <div class="icon">
                        <span class="ico-window"></span>
                    </div>
<h1>批量挂Q系统 <small>Batch hang Q system</small></h1>
</div>
                <div class="row-fluid">

                    <div class="span12">

                        <div class="block">
                            <div class="head green">                                
                                <h2>填写教程</h2>
                            </div>
							<strong>
由于本站经常更换服务器,导致大家QQ掉线。但是又不能上线了,所以又要重新挂Q。请大家写个文本保存,以后挂Q就方便了。<br />
在此填写您需要添加的 QQ 和 密码,以 ---- 分割QQ和密码,一行一个<br />
例如↓<br />
1976446789----1234qwe<br />
2270084111----1233123<br />
3123123323----1231233<br />
2131232141----123werd
</strong>
                        </div>
						<div class="block">
                            <div class="head orange">
                                <h2>请输入你要批量挂Q的账号密码！</h2>
                            </div>
                            <div class="data-fluid">
								<textarea name="text" style="width:100%;height:200px"></textarea>
                            </div>
                        </div>
                            </div>

</div>
<button style="font-size:20px" type="submit">开始批量挂Q</button><font color=red><b>分析过程可能有点慢.请耐心等待</b></font>
                        </div>
                    </div>
</form>
<hr />
<a href="./user.php">返回用户中心</a>
';
}else{
$text=$_POST['text'];
$tmppwds=str_replace(chr(13).chr(10),chr(10),$text);
$addqq=explode(chr(10),$tmppwds);
$qt="0";
$qw=count($addqq);
$_SESSION['qt']=$qt;
$_SESSION['qw']=$qw;
//循环记录QQ值
for ($i = 0; $i <$qw ; $i++) {
$addqq2 = explode('----', $addqq[$i]);
//开始添加QQ
$_SESSION['qq'.$i.'']=$addqq2[0];
$_SESSION['pw'.$i.'']=$addqq2[1];
}
header("Location: ./batch_do.php");
}
?>
</body>
</html>